Package org.springframework.security.config.annotation.web.configurers.oauth2.client

# Class OAuth2LoginConfigurer.RedirectionEndpointConfig

java.lang.Object
org.springframework.security.config.annotation.web.configurers.oauth2.client.OAuth2LoginConfigurer.RedirectionEndpointConfig

Enclosing class:
  OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>

public final class OAuth2LoginConfigurer.RedirectionEndpointConfig extends Object
Configuration options for the Client's Redirection Endpoint.

## Method Summary

Modifier and Type
Method
Description
`OAuth2LoginConfigurer<B>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`OAuth2LoginConfigurer<B>.RedirectionEndpointConfig`
`baseUri(String authorizationResponseBaseUri)`
Sets the `URI` where the authorization response will be processed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### baseUri

public OAuth2LoginConfigurer<B>.RedirectionEndpointConfig baseUri(String authorizationResponseBaseUri)
Sets the `URI` where the authorization response will be processed.

Parameters:
  `authorizationResponseBaseUri` - the `URI` where the authorization response will be processed
Returns:
  the `OAuth2LoginConfigurer<B extends HttpSecurityBuilder<B>>.RedirectionEndpointConfig` for further configuration

### and

@Deprecated(since="6.1", forRemoval=true) public OAuth2LoginConfigurer<B> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `OAuth2LoginConfigurer.redirectionEndpoint(Customizer)` instead
Returns the `OAuth2LoginConfigurer` for further configuration.

Returns:
  the `OAuth2LoginConfigurer`